Package net.shibboleth.idp.attribute.resolver.dc.storage.impl

# Record Class TemplatedSearchBuilder.ContextAndKey

java.lang.Object
java.lang.Record
net.shibboleth.idp.attribute.resolver.dc.storage.impl.TemplatedSearchBuilder.ContextAndKey

Record Components:
  `context` - context
  `key` - key

Enclosing class:
  TemplatedSearchBuilder

public static record TemplatedSearchBuilder.ContextAndKey(@Nonnull String context, @Nonnull String key) extends Record
Record encapsulating storage context and key.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`context`
The field for the `context` record component.
`private final String`
`key`
The field for the `key` record component.

## Constructor Summary

Constructors
Constructor
Description
`ContextAndKey(String context, String key)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`context()`
Returns the value of the `context` record component.
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`String`
`key()`
Returns the value of the `key` record component.
`final String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### context

@Nonnull private final String context
The field for the `context` record component.

### key

@Nonnull private final String key
The field for the `key` record component.

## Constructor Details

### ContextAndKey

public ContextAndKey(@Nonnull String context, @Nonnull String key)
Constructor.

Parameters:
  `context` - context
  `key` - key

## Method Details

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### context

@Nonnull public String context()
Returns the value of the `context` record component.

Returns:
  the value of the `context` record component

### key

@Nonnull public String key()
Returns the value of the `key` record component.

Returns:
  the value of the `key` record component